> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/api-reference/endpoints/externalassets.md).

# ExternalAssets

Resolve external asset URLs

## POST /v1/externalassets/getthumbnails

>

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"ExternalAssets","description":"Resolve external asset URLs"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.ExternalAsset.AssetThumbnailsRequestModel":{"type":"object","properties":{"AssetIds":{"type":"array","items":{"type":"string"},"description":"List of asset ids to resolve thumbnails for","nullable":true},"Width":{"type":"integer","description":"Width of preview","format":"int32","nullable":true},"Height":{"type":"integer","description":"Height of preview","format":"int32","nullable":true},"CropMode":{"type":"string","description":"Crop mode of preview (pad, max, crop)","nullable":true},"BgColor":{"type":"string","description":"Background color of preview. Used if pad set as crop mode.","nullable":true},"Format":{"type":"string","description":"Format of preview (jpg, png)","nullable":true}},"additionalProperties":false,"description":"Represents settings given when resolving thumbnail urls of external assets"}}},"paths":{"/v1/externalassets/getthumbnails":{"post":{"tags":["ExternalAssets"],"summary":"","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.ExternalAsset.AssetThumbnailsRequestModel"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}}}}
```

## POST /v1/externalassets/geturls

>

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"ExternalAssets","description":"Resolve external asset URLs"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}}},"paths":{"/v1/externalassets/geturls":{"post":{"tags":["ExternalAssets"],"summary":"","requestBody":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/api-reference/endpoints/externalassets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
